{{ if eq .Values.service.lb.enabled true }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "player-skeleton-java-springboot.fullname" . }}-lb
  labels:
    {{- include "player-skeleton-java-springboot.labels" . | nindent 4 }}
spec:
  {{- with .Values.service.lb }}
  type: {{ .type }}
  ports:
    - port: {{ .port }}
      targetPort: {{ .targetPort }}
      nodePort: {{ .lbPort }}
      protocol: {{ .protocol }}
  {{- end }}
  selector:
    {{- include "player-skeleton-java-springboot.selectorLabels" . | nindent 4 }}
    {{- end }}
